package com.ruoyi.change.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产归还对象 tb_asset_return
 * 
 * @author 原动力
 * @date 2023-05-15
 */
public class TbAssetReturn extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 借出单号 */
    @Excel(name = "借出单号")
    private String lendOrderNumber;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String assetNumber;

    /** 预计归还时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计归还时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date returnDate;

    /** 实际归还时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际归还时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date actualReturnDate;

    /** 归还经手人 */
    @Excel(name = "归还经手人")
    private String bySponsor;

    /** 记录状态 */
    @Excel(name = "记录状态")
    private Long recordStatus;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setLendOrderNumber(String lendOrderNumber) 
    {
        this.lendOrderNumber = lendOrderNumber;
    }

    public String getLendOrderNumber() 
    {
        return lendOrderNumber;
    }
    public void setAssetNumber(String assetNumber) 
    {
        this.assetNumber = assetNumber;
    }

    public String getAssetNumber() 
    {
        return assetNumber;
    }
    public void setReturnDate(Date returnDate) 
    {
        this.returnDate = returnDate;
    }

    public Date getReturnDate() 
    {
        return returnDate;
    }
    public void setActualReturnDate(Date actualReturnDate) 
    {
        this.actualReturnDate = actualReturnDate;
    }

    public Date getActualReturnDate() 
    {
        return actualReturnDate;
    }
    public void setBySponsor(String bySponsor) 
    {
        this.bySponsor = bySponsor;
    }

    public String getBySponsor() 
    {
        return bySponsor;
    }
    public void setRecordStatus(Long recordStatus) 
    {
        this.recordStatus = recordStatus;
    }

    public Long getRecordStatus() 
    {
        return recordStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("lendOrderNumber", getLendOrderNumber())
            .append("assetNumber", getAssetNumber())
            .append("returnDate", getReturnDate())
            .append("actualReturnDate", getActualReturnDate())
            .append("bySponsor", getBySponsor())
            .append("remark", getRemark())
            .append("recordStatus", getRecordStatus())
            .toString();
    }
}
